package cz.upol.jj1.lecture08;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {

    public static void main(String[] args) throws IOException {

        // java.io.File vs java.nio.Path a java.nio.Files
        // oboji pouzitelne, kombinace Path a Files novejsi a ma vice funkcinality
        // Path - cesty k souborum/slozkam - platformova nezavislost pri rozumnem pouzivani
        // Files trida s hromadou statickych metod pro pohodlnou praci se soubory urcenymi cestou (instanci Path)

        //ukazka a pak koukneme do dokumentace
        Path p = Path.of("");
        System.out.println(p.toAbsolutePath());
        System.out.println(Files.exists(p));
        System.out.println(Files.isDirectory(p));
        printDir(p, "");


    }

    /**
     * rekurzivne vypise vsechny soubory v danem adresari
     * @param p
     * @param indentation
     * @throws IOException
     */
    public static void printDir(Path p, String indentation) throws IOException{
        for(Path path: Files.list(p).toList()){
            if(Files.isDirectory(path)){
                System.out.println(indentation + path.getFileName());
                printDir(path, indentation + "   ");
            } else {
                System.out.println(indentation + path.getFileName());
            }
        }
    }
}
